Package io.strimzi.systemtest.resources.crd

## Class KafkaMirrorMaker2Resource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaMirrorMaker2Resource

-     public class KafkaMirrorMaker2Resource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_MIRROR_MAKER_2_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaMirrorMaker2Resource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaMirrorMaker2` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaMirrorMaker2 kafkaMirrorMaker2)` |
    `static void` | `deleteKafkaMirrorMaker2WithoutWait​(String resourceName)` |
    `static io.strimzi.api.kafka.model.KafkaMirrorMaker2Builder` | `kafkaMirrorMaker2​(String name, String targetClusterName, String sourceClusterName, int kafkaMirrorMaker2Replicas, boolean tlsListener)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaMirrorMaker2,​io.strimzi.api.kafka.KafkaMirrorMaker2List,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaMirrorMaker2>>` | `kafkaMirrorMaker2Client()` |
    `static io.strimzi.api.kafka.model.KafkaMirrorMaker2Builder` | `kafkaMirrorMaker2WithMetrics​(String name, String targetClusterName, String sourceClusterName, int kafkaMirrorMaker2Replicas)` |
    `static io.strimzi.api.kafka.model.KafkaMirrorMaker2` | `kafkaMirrorMaker2WithoutWait​(io.strimzi.api.kafka.model.KafkaMirrorMaker2 kafkaMirrorMaker2)` |
    `static void` | `replaceKafkaMirrorMaker2Resource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaMirrorMaker2> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_MIRROR_MAKER_2_CONFIG

          public static final String PATH_TO_KAFKA_MIRROR_MAKER_2_CONFIG

  - ### Constructor Detail

    - #### KafkaMirrorMaker2Resource

          public KafkaMirrorMaker2Resource()

  - ### Method Detail

    - #### kafkaMirrorMaker2Client

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaMirrorMaker2,​io.strimzi.api.kafka.KafkaMirrorMaker2List,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaMirrorMaker2>> kafkaMirrorMaker2Client()

    - #### kafkaMirrorMaker2

          public static io.strimzi.api.kafka.model.KafkaMirrorMaker2Builder kafkaMirrorMaker2​(String name,
                                                                                              String targetClusterName,
                                                                                              String sourceClusterName,
                                                                                              int kafkaMirrorMaker2Replicas,
                                                                                              boolean tlsListener)

    - #### kafkaMirrorMaker2WithMetrics

          public static io.strimzi.api.kafka.model.KafkaMirrorMaker2Builder kafkaMirrorMaker2WithMetrics​(String name,
                                                                                                         String targetClusterName,
                                                                                                         String sourceClusterName,
                                                                                                         int kafkaMirrorMaker2Replicas)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaMirrorMaker2 createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaMirrorMaker2 kafkaMirrorMaker2)

    - #### kafkaMirrorMaker2WithoutWait

          public static io.strimzi.api.kafka.model.KafkaMirrorMaker2 kafkaMirrorMaker2WithoutWait​(io.strimzi.api.kafka.model.KafkaMirrorMaker2 kafkaMirrorMaker2)

    - #### deleteKafkaMirrorMaker2WithoutWait

          public static void deleteKafkaMirrorMaker2WithoutWait​(String resourceName)

    - #### replaceKafkaMirrorMaker2Resource

          public static void replaceKafkaMirrorMaker2Resource​(String resourceName,
                                                              Consumer<io.strimzi.api.kafka.model.KafkaMirrorMaker2> editor)